=== debian/changelog ===
fuse-zip (0.2.12-0ubuntu1) lucid; urgency=low

  * New upstream bugfix-only release.
  * Bump Standards.
  * Adjust build-dep on debhelper to ease backporters' life.
  * Disable auto_test target to avoid FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 28 Feb 2010 14:48:24 +0100

fuse-zip (0.2.8-0ubuntu2) lucid; urgency=low

  * Migrated to the 3.0 (quilt) format.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 14:14:32 +0600

fuse-zip (0.2.8-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #240306)

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 19 Nov 2009 14:02:07 +0600
