=== debian/control ===
Source: fuse-zip
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libfuse-dev,
 libzip-dev (>= 0.8),
 pkg-config
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/fuse-zip

Package: fuse-zip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZIP archive mounter based on FUSE
 fuse-zip is a FUSE file system to navigate, extract, create and modify ZIP
 archives. With fuse-zip, you can work with ZIP archives as real directories.
 .
 fuse-zip is faster that other known FUSE implementations of ZIP directories,
 and includes full write support.
