=== tests/blackbox/Makefile ===
all:
	./fuse-zip.test

valgrind:
	./fuse-zip.test -valgrind

.PHONY: all
