=== debian/changelog ===
fuse-zip (0.2.13-0ubuntu2) precise; urgency=low

  * Fix build failure with libzip 0.10.

 -- Fathi Boudra <fabo@debian.org>  Mon, 19 Mar 2012 15:14:30 +0200

fuse-zip (0.2.13-0ubuntu1) natty; urgency=low

  * New upstream release
  * Bump standards
  * Change the order of linking in Makefile to fix FTBFS with 
    present natty toolchain  

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Dec 2010 12:18:27 +0530
