=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libfuse-dev,
  libzip-dev (>= 0.8),
  pkg-config
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/fuse-zip
 
 Package: fuse-zip
