=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS = -Wl,--as-needed

override_dh_auto_install:
	$(MAKE) INSTALLPREFIX=$(CURDIR)/debian/fuse-zip/usr install

override_dh_auto_test:

%:
	dh $@
