=== debian/watch ===
version=3
http://code.google.com/p/fuse-zip/downloads/list http://fuse-zip.googlecode.com/files/fuse-zip-([0-9.]*)\.tar\.gz
