## fuse-zip 0.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 DEST=fuse-zip
-LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs) -Llib -lfusezip
+LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra
 RELEASE_CXXFLAGS=-O2 -Wall -Wextra
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
+ZIPFLAGS=$(shell pkg-config libzip --cflags)
 SOURCES=main.cpp
 OBJECTS=$(SOURCES:.cpp=.o)
 MANSRC=fuse-zip.1
@@ -19,12 +20,12 @@
 doc-clean: man-clean
 
 $(DEST): $(OBJECTS) $(LIB)
-	$(CXX) $(LDFLAGS) $(OBJECTS) $(LIBS) \
+	$(CXX) $(OBJECTS) $(LDFLAGS) $(LIBS) \
 	    -o $@
 
 # main.cpp must be compiled separately with FUSEFLAGS
 main.o: main.cpp
-	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $< \
+	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< \
 	    -Ilib \
 	    -o $@
 
@@ -79,5 +80,5 @@
 valgrind:
 	make -C tests valgrind
 
-.PHONY: all release doc clean all-clean lib-clean doc-clean test-clean tarball-clean distclean install uninstall tarball test valgrind
+.PHONY: all release doc clean all-clean lib-clean doc-clean test-clean tarball-clean distclean install uninstall tarball test valgrind $(LIB)
