=== debian/changelog ===
fuse-zip (0.4.0-2build1) wily; urgency=medium

  * No-change rebuild for libzip soname change

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 01:24:59 +0000

fuse-zip (0.4.0-2) unstable; urgency=low

  * Bump standards
  * Remove debian/patches
  * debian/changelog: Use machine-readable format
  * Add depend on fuse (or fuse4bsd on kfreebsd)

 -- Matthew Bekkema <mbekkema97@gmail.com>  Mon, 23 Feb 2015 23:58:05 +1100

fuse-zip (0.4.0-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #516398)
  * debian/control: Change maintainer to mbekkema97@gmail.com
  * New upstream release
    - debian/patches/debian-changes-0.2.13-0ubuntu1 and
      debian/patches/fuse-zip_libzip-0.10.patch removed
    - build depend on libzip-dev (>= 0.11.2)
  * Update debian/watch
  * debian/rules: Use dpkg-buildflags
  * Bump Standards.
  * Use debhelper v9

 -- Matthew Bekkema <mbekkema97@gmail.com>  Thu, 10 Jul 2014 09:48:11 +1000
