=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_install:
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" INSTALLPREFIX=$(CURDIR)/debian/fuse-zip/usr install

override_dh_auto_test:

override_dh_auto_build:
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@
