=== debian/watch ===
version=3
http://code.google.com/p/fuse-zip/downloads/list?can=1 .*/fuse-zip-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
