=== debian/changelog ===
fuse-zip (0.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #795675)
    - Upgrade license from LGPL3+ to GPL3+
  * Update links to new upstream home
  * Don't repeat license text in debian/copyright
  * Add Reiner Herrmann's patch to make the build reproducible (Closes: #842625)
  * Enable parallel builds
  * Upgrade to debhelper 10
  * Bump standards

 -- Matthew Harm Bekkema <mbekkema97@gmail.com>  Fri, 02 Feb 2018 22:08:50 +1100
