=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: fuse-zip
 Section: utils
 Priority: optional
-Maintainer: Matthew Bekkema <mbekkema97@gmail.com>
-Build-Depends: debhelper (>= 9),
- libfuse-dev,
+Maintainer: Matthew Harm Bekkema <mbekkema97@gmail.com>
+Build-Depends: debhelper (>= 10),
+ libfuse-dev (>= 2.7),
  libzip-dev (>= 0.11.2),
- pkg-config
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/fuse-zip
+ pkg-config,
+Standards-Version: 4.1.3
+Homepage: https://bitbucket.org/agalanin/fuse-zip
 
 Package: fuse-zip
 Architecture: any
