=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_install:
	dh_auto_install -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" prefix=/usr

override_dh_auto_test:

test:
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@
