## fuse-zip 0.4.5

=== debian/changelog ===
fuse-zip (0.4.5-1) unstable; urgency=low

  * New upstream release
    - Drop debian/patches/reproducible-build.patch (now included upstream)
  * Run whitebox tests on build
  * Run blackbox tests on autopkgtest
  * Apply Helmut Grohne's patch to fix FTCBFS: (Closes: #902097)
    + cross.patch: Make build tools substitutable.
    + Also substitute build tools for make install.
  * Bump standards

 -- Matthew Harm Bekkema <mbekkema97@gmail.com>  Mon, 02 Jul 2018 19:13:49 +1000
