=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  libfuse-dev (>= 2.7),
  libzip-dev (>= 0.11.2),
  pkg-config,
-Standards-Version: 4.1.3
+ valgrind <!nocheck>,
+Standards-Version: 4.1.4
 Homepage: https://bitbucket.org/agalanin/fuse-zip
 
 Package: fuse-zip
