=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for relinking fuse-zip during make install
DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_install:
	dh_auto_install -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" prefix=/usr

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind
endif

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@
