## fuse-zip 0.5.0

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 manext=.1
 LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O0 -Wall -Wextra
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra -pedantic -Werror
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -pedantic -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
 SOURCES=main.cpp
