=== lib/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 DEST=libfusezip.a
 LIBS=$(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
-CXXFLAGS=-g -O0 -Wall -Wextra
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra
+CXXFLAGS=-g -O0 -Wall -Wextra -pedantic -Werror
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -pedantic -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
-SOURCES=$(wildcard *.cpp)
+SOURCES=$(sort $(wildcard *.cpp))
 OBJECTS=$(SOURCES:.cpp=.o)
 CLEANFILES=$(OBJECTS) $(DEST)
