=== debian/changelog ===
fuse-zip (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Bump standards
  * Bump debhelper-compat to 12
  * Disable valgrind (Closes: #918974)

 -- Matthew Harm Bekkema <mbekkema97@gmail.com>  Sat, 12 Jan 2019 16:31:31 +1100
