=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Matthew Harm Bekkema <mbekkema97@gmail.com>
 Build-Depends: debhelper (>= 10),
+ debhelper-compat (= 12),
  libfuse-dev (>= 2.7),
  libzip-dev (>= 0.11.2),
  pkg-config,
- valgrind <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://bitbucket.org/agalanin/fuse-zip
 
 Package: fuse-zip
