=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind
+	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" test
 endif
 
 override_dh_auto_build:
