## fuse-zip 0.6.0

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 manext=.1
 LIBS=-Llib -lfusezip $(shell pkg-config fuse --libs) $(shell pkg-config libzip --libs)
 LIB=lib/libfusezip.a
-CXXFLAGS=-g -O0 -Wall -Wextra -pedantic -Werror
-RELEASE_CXXFLAGS=-O2 -Wall -Wextra -pedantic -Werror
+CXXFLAGS=-g -O0 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
+RELEASE_CXXFLAGS=-O2 -Wall -Wextra -Wconversion -Wsign-conversion -Wlogical-op -Wshadow -pedantic -Werror
 FUSEFLAGS=$(shell pkg-config fuse --cflags)
 ZIPFLAGS=$(shell pkg-config libzip --cflags)
 SOURCES=main.cpp
@@ -33,7 +33,6 @@
 	$(CXX) $(OBJECTS) $(LDFLAGS) $(LIBS) \
 	    -o $@
 
-# main.cpp must be compiled separately with FUSEFLAGS
 main.o: main.cpp
 	$(CXX) -c $(CXXFLAGS) $(FUSEFLAGS) $(ZIPFLAGS) $< \
 	    -Ilib \
