=== debian/changelog ===
fuse-zip (0.6.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:28:40 +0000

fuse-zip (0.6.0-0ubuntu4) noble; urgency=high

  * No change rebuild against libzip4t64, libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:06:50 +0100

fuse-zip (0.6.0-0ubuntu3) hirsute; urgency=medium

  * Rebuild with the new libzip soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Mar 2021 11:58:50 +0100

fuse-zip (0.6.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:09 +0100

fuse-zip (0.6.0-0ubuntu1) disco; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Mar 2019 00:03:47 +0000

fuse-zip (0.5.0-1ubuntu1) disco; urgency=medium

  * implicit-read-only-dir doesn't clean up after itself Move it to the
    end of the run, to pass all tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Mar 2019 16:49:03 +0000
