=== debian/watch ===
version=3
https://bitbucket.org/agalanin/fuse-zip/downloads?tab=tags .*/(\d\S+)\.tar\.gz
