=== debian/changelog ===
fuse-zip (0.7.2-3) unstable; urgency=medium

  [ Fab Stz ]
  * skip valgrind tests on failing-archs

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Apr 2025 15:29:45 -0400

fuse-zip (0.7.2-2) unstable; urgency=medium

  [ Fab Stz ]
  * d/control: bump dependencies (libzip >= 1.0)
  * add debian/gbp.conf with pristine-tar enabled
  * d/changelog: remove trailing space
  * d/control: set Rules-Requires-Root: no
  * Revert "Disable valgrind"
  * update autopkgtest test
  * d/control, d/rules: run valgrind only on arch supporting it
  * add d/salsa-ci.yml file

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 15:54:54 -0400

fuse-zip (0.7.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #981454)
  * debian/patches: Dropped, merged upstream.
  * debian/control: Use Depends: fuse3 (>= 3.10.1-3) | fuse (<< 3).
    (See #1084482)

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Feb 2025 15:24:08 -0500

fuse-zip (0.6.0-1) unstable; urgency=medium

  * Merge from Ubuntu 0.6.0-0ubuntu6.
  * New upstream release.
  * Take over package maintenance via ITS process. (Closes: #1095539)
  * debian/control:
    + Bump debhelper-compat to v13.
    + Bump Standards-Version to 4.7.0.
    + Add Vcs-* fields.
  * debian/watch: Upgrade to v4 and fix monitoring regex.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Feb 2025 12:54:29 -0500
