=== debian/control ===
Source: fuse-zip
Section: utils
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfuse-dev (>= 2.7),
 libzip-dev (>= 1.0~),
 pkgconf,
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x] <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://bitbucket.org/agalanin/fuse-zip
Vcs-Git: https://salsa.debian.org/debian/fuse-zip.git
Vcs-Browser: https://salsa.debian.org/debian/fuse-zip

Package: fuse-zip
Architecture: any
Depends:
 fuse3 (>= 3.10.1-3) | fuse (<< 3),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ZIP archive mounter based on FUSE
 fuse-zip is a FUSE file system to navigate, extract, create and modify ZIP
 archives. With fuse-zip, you can work with ZIP archives as real directories.
 .
 fuse-zip is faster that other known FUSE implementations of ZIP directories,
 and includes full write support.
