=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,23 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 CXXFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+valgrind_arch = amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x
+
+# valgrind tests fail on these archs.
+valgrind_arch_failing = mips64el powerpc
+
 override_dh_auto_install:
 	dh_auto_install -- CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" prefix=/usr
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter $(DEB_HOST_ARCH),$(filter-out $(valgrind_arch_failing),$(valgrind_arch))))
 	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" test
+else
+	# Run valgrind tests on the arch where there is valgrind and no failure on 2025-04-20.
+	$(MAKE) -C tests/whitebox CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" valgrind
+endif
 endif
 
 override_dh_auto_build:
