=== debian/tests/control ===
# run the tests with valgrind on all archs where it doesn't error out.
Tests:
 blackbox,
Restrictions:
 needs-sudo
Depends:
 attr,
 blt,
 fuse,
 socat,
 tcl (>= 8.5),
 tcllib (>= 1.10),
 tclx,
 unzip,
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x],
 zip,
 @,
Architecture: !armhf !ppc64el

# on these archs, run the tests without valgrind (valgrind fails)
Tests:
 blackbox,
Restrictions:
 needs-sudo
Depends:
 attr,
 blt,
 fuse,
 socat,
 tcl (>= 8.5),
 tcllib (>= 1.10),
 tclx,
 unzip,
 zip,
 @,
Architecture: armhf ppc64el
