=== debian/watch ===
version=4
opts="" \
 https://bitbucket.org/agalanin/fuse-zip/downloads?tab=downloads .*/fuse-zip-(\d\S+)\.tar\.gz
